> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles

> List roles for the organization.

Requires: authenticated organization member.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /rbac/roles
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /rbac/roles:
    get:
      tags:
        - rbac
      summary: List Roles
      description: |-
        List roles for the organization.

        Requires: authenticated organization member.
      operationId: rbac-list_roles
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleList'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    RoleList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RoleReadWithScopes'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: RoleList
      description: Response schema for listing roles.
    RoleReadWithScopes:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By
        scopes:
          items:
            $ref: '#/components/schemas/ScopeRead'
          type: array
          title: Scopes
        is_system:
          type: boolean
          title: Is System
          description: Whether this is a preset system role.
          readOnly: true
      type: object
      required:
        - id
        - name
        - organization_id
        - created_at
        - updated_at
        - is_system
      title: RoleReadWithScopes
      description: Read schema for a role with its scopes.
    ScopeRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        resource:
          type: string
          title: Resource
        action:
          type: string
          title: Action
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        source:
          $ref: '#/components/schemas/ScopeSource'
        source_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Ref
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - resource
        - action
        - source
        - created_at
        - updated_at
      title: ScopeRead
      description: Read schema for a scope.
    ScopeSource:
      type: string
      enum:
        - platform
        - custom
      title: ScopeSource
      description: Source/ownership of a scope definition.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````